select
  an.numero as "Nmero"
  , an.dtbaixa as "Data de baixa"
  , gr.descricao as "Nome GR"
  , gr.dtinicio as "Incio do GR"
  , gr.dtfim as "Fim do GR"
  , es.descricao as "Estao de monta"
  , es.dtinicio as "Data de incio da EM"
  , es.dtfim as "Data de fim da EM"
from
  animal an
  join estacaoanimal ea on ea.cdanimal = an.cdanimal
  join estacao es on es.cdestacao = ea.cdestacao
  join gruporepasse gr on ((gr.dtinicio >= es.dtinicio and gr.dtinicio <= es.dtfim) or
                            (gr.dtfim >= es.dtinicio and gr.dtfim <= es.dtfim))
                and gr.cdgruporepasse in
                    (select re.cdgruporepasse from gruporepasseanimal re where re.cdanimal = an.cdanimal)
